Java agent compatibility


The Java agent is compatible with the most popular web frameworks, operating systems and web servers. Below you can find more details about specific version compatibility.

Refer to the installation steps to install Sqreen in your Java applications.

Other framework?

We are working on supporting more frameworks. Please, contact us if you are using a different framework. We will be happy to revisit our roadmap!

Java versions

The Sqreen Java agent is fully compatible with all Java versions starting from 1.6.

Java frameworks

The Sqreen Java agent is compatible with most Servlet-based frameworks.

Operating systems

The Sqreen Java agent is supported on Linux, macOS and Windows.

Servers

Sqreen is tested against the following servers:

Databases

Sqreen protects against SQL and NoSQL injections for the most common production databases:

  • MySQL
  • MariaDB
  • PostgreSQL
  • SQLite
  • Oracle
  • MongoDB

Other database?

Please, contact us if you are using a different database. We will be happy to revisit our roadmap!